# Uses of Class
it.tdlight.jni.TdApi.ChatFolderInfo

## Uses of TdApi.ChatFolderInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatFolderInfo
Modifier and Type
Field
Description
`TdApi.ChatFolderInfo`
TdApi.ChatFolderInviteLinkInfo.`chatFolderInfo`
Basic information about the chat folder; chat folder identifier will be 0 if the user didn't have the chat folder yet.
`TdApi.ChatFolderInfo[]`
TdApi.UpdateChatFolders.`chatFolders`
The new list of chat folders.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatFolderInfo
Modifier
Constructor
Description
``
`ChatFolderInviteLinkInfo(TdApi.ChatFolderInfo chatFolderInfo, long[] missingChatIds, long[] addedChatIds)`
Contains information about an invite link to a chat folder.
``
`UpdateChatFolders(TdApi.ChatFolderInfo[] chatFolders, int mainChatListPosition, boolean areTagsEnabled)`
The list of chat folders or a chat folder has changed.